> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.bienport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Plans



## OpenAPI

````yaml /open-api/api-docs.yml post /subscription/bill
openapi: 3.0.1
info:
  title: Bimetri Api Service API Reference
  description: Bimetri Api Service
  version: v1.4.0-SNAPSHOT
servers:
  - url: https://apigw.bienport.com/api
  - url: https://apigw.sebeketakip.com/api
security: []
tags:
  - name: CRM Ticket Api
    description: Crm Controller
  - name: Camera Api
    description: Camera Controller
  - name: Central Alarm Monitoring Api
    description: Central Alarm Monitoring Controller
  - name: Content Api
    description: Contents Controller
  - name: Controller Api
    description: Controllers Controller
  - name: Controller Log Api
    description: Digital Controller Data Log Controller
  - name: Customer Api
    description: Customer Controller
  - name: Enterprise Bulk Operations Api
    description: Enterprise Bulk Operations Controller
  - name: External Power And Battery Status Api
    description: External Power And Battery Status Controller
  - name: Lead Api
    description: Lead Controller
  - name: Login Api
    description: Auth Controller
  - name: Panel Controllers Api
    description: Resource Controllers Controller
  - name: Panel Sensors Api
    description: Resource Sensor Controller
  - name: Partition Api
    description: Partition Controller
  - name: Payment Api
    description: Payment Controller
  - name: Push Notification Api
    description: Push Notification Controller
  - name: Push Notification History Api
    description: Push Notification History Controller
  - name: Resource Activities Api
    description: Activity Service Controller
  - name: Resource Api
    description: Resource Management Controller
  - name: Resource User Authorization Api
    description: Resource User Authorization Controller
  - name: Role Api
    description: Organization Role Controller
  - name: Sms Verification Code Send Api
    description: Send Verification Code Controller
  - name: Subscription Api
    description: Subscription Controller
  - name: User Api
    description: User Controller
  - name: Validate Verification Code Api
    description: Sms Code Validation Controller
paths:
  /subscription/bill:
    post:
      tags:
        - Subscription Api
      summary: Get Payment Plans
      operationId: listPaymentPlanUsingPOST
      parameters:
        - name: Authorization
          in: header
          description: Access Token
          required: true
          schema:
            type: string
          example: Bearer access_token
        - name: OrganizationId
          in: header
          description: Organization ID
          required: true
          schema:
            type: string
          example: '148001'
      requestBody:
        description: paymentPlanRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentPlanRequest'
        required: true
      responses:
        '200':
          description: Get payment plan(CustomerBill). (Return List if more than one.)
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomerBill'
        '201':
          description: Created
          content: {}
        '400':
          description: ApiErrorResponse model bad request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '401':
          description: ApiErrorResponse model unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '403':
          description: This response is not used.
          content: {}
        '404':
          description: ApiErrorResponse not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '500':
          description: ApiErrorResponse internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
      deprecated: false
components:
  schemas:
    PaymentPlanRequest:
      title: PaymentPlanRequest
      required:
        - organizationId
        - subscriptionId
      type: object
      properties:
        organizationId:
          type: integer
          description: Organization Id
          format: int64
          example: 12312
        subscriptionId:
          type: integer
          description: subscription id
          format: int64
          example: 12342
        billId:
          type: integer
          description: bill id[Optional]
          format: int64
          example: 1234234
        monthFilter:
          type: string
          description: Month Filter[Optional] default value = 6
          example: '1'
          enum:
            - '1'
            - '3'
            - '6'
            - '12'
            - '24'
      description: >-
        Request Model for Get Payment Plans by organization id and subscription
        Id
    CustomerBill:
      title: CustomerBill
      type: object
      properties:
        id:
          type: string
          example: '884386'
        href:
          type: string
          example: http://example.com
        billDate:
          type: string
          example: '2020-07-06T00:00:00.000Z'
        billNo:
          type: string
          example: ''
        paymentDueDate:
          type: string
          example: '2020-07-06T00:00:00.000Z'
        paymentDate:
          type: string
          example: '2020-07-06T00:00:00.000Z'
        amountDue:
          $ref: '#/components/schemas/Money'
        state:
          type: string
          example: paid
          enum:
            - paid
            - settled
      description: >-
        The billing account receives all charges (recurring, one time and usage)
        of the offers and products assigned to it during order process.
        Periodically according to billing cycle specifications attached to the
        billing account or as a result of an event, a customer bill (aka
        invoice) is produced. This customer bill concerns different related
        parties which play a role on it : for example, a customer bill is
        produced by an operator, is sent to a bill receiver and has to be paid
        by a payer. A payment method could be assigned to the customer bill to
        build the call of payment. Lettering process enables to assign
        automatically or manually incoming amount from payments to customer
        bills (payment items). A tax item is created for each tax rate used in
        the customer bill. The financial account represents a financial entity
        which records all customer’s accounting events : payment amount are
        recorded as credit and invoices amount are recorded as debit. It gives
        the customer overall balance (account balance). The customer bill is
        linked to one or more documents that can be downloaded via a provided
        url.
    ErrorResponseModel:
      title: ErrorResponseModel
      type: object
      properties:
        statusCode:
          type: integer
          description: Error Code
          format: int32
        error:
          type: string
          description: 'Unique name of the error '
          example: '***Exception'
        message:
          type: string
          description: 'Error message information '
          example: Message about the error
        path:
          type: string
          description: 'Path information where the error occurred '
          example: /api/example/path
      description: Error Response Model
    Money:
      title: Money
      type: object
      properties:
        unit:
          type: string
          example: TL
        value:
          type: number
          format: float
          example: 200
      description: A base / value business entity used to represent money

````